package com.admogo.adapters;

import android.app.Activity;
import android.graphics.Color;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Log;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.widget.ImageButton;
import android.widget.LinearLayout;
import com.adchina.android.ads.AdEngine;
import com.adchina.android.ads.AdListener;
import com.adchina.android.ads.AdManager;
import com.adchina.android.ads.views.AdView;
import com.adchina.android.ads.views.FullScreenAdView;
import com.admogo.AdMogoLayout;
import com.admogo.AdMogoTargeting;
import com.admogo.obj.Extra;
import com.admogo.obj.Ration;
import com.admogo.util.AdMogoUtil;
import java.io.InputStream;
/* loaded from: classes.dex */
public class AdChinaAdapter extends AdMogoAdapter implements AdListener {
    private static AdView adView;
    private static AdEngine engine;
    private Activity activity;
    private AdMogoLayout adMogoLayout;
    private boolean flag;
    private FullScreenAdView mFullScreenImageView;

    public AdChinaAdapter(AdMogoLayout adMogoLayout, Ration ration) {
        super(adMogoLayout, ration);
        this.flag = true;
    }

    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:27:0x00e1 -> B:37:0x0010). Please submit an issue!!! */
    @Override // com.admogo.adapters.AdMogoAdapter
    public void handle() {
        this.adMogoLayout = this.adMogoLayoutReference.get();
        if (this.adMogoLayout != null) {
            this.activity = this.adMogoLayout.activityReference.get();
            if (this.activity != null) {
                AdManager.setDebugMode(false);
                AdManager.setLogMode(false);
                String appName = AdMogoTargeting.getAppName();
                if (!TextUtils.isEmpty(appName)) {
                    AdManager.setAppName(appName);
                }
                String keywords = AdMogoTargeting.getKeywords();
                if (!TextUtils.isEmpty(keywords)) {
                    AdManager.setContentTargeting(keywords);
                }
                String birthDay = AdMogoTargeting.getBirthday();
                if (!TextUtils.isEmpty(birthDay)) {
                    AdManager.setBirthday(birthDay);
                }
                String postalCode = AdMogoTargeting.getPostalCode();
                if (!TextUtils.isEmpty(postalCode)) {
                    AdManager.setPostalCode(postalCode);
                }
                TelephonyManager tm = (TelephonyManager) this.activity.getSystemService("phone");
                String number = tm.getLine1Number();
                if (!TextUtils.isEmpty(number)) {
                    AdManager.setTelephoneNumber(number);
                }
                try {
                    engine = AdEngine.initAdEngine(this.activity);
                    AdEngine.getAdEngine().setAdListener(this);
                    Display display = this.activity.getWindowManager().getDefaultDisplay();
                    String resolution = String.valueOf(display.getWidth()) + "x" + display.getHeight();
                    AdManager.setResolution(resolution);
                    if (this.adMogoLayout.getAdType() == 6) {
                        AdManager.setFullScreenAdspaceId(this.ration.key);
                        this.mFullScreenImageView = new FullScreenAdView(this.activity);
                        this.mFullScreenImageView.setLayoutParams(new LinearLayout.LayoutParams(-1, -1));
                        engine.setFullScreenAdView(this.mFullScreenImageView);
                        engine.startFullScreenAd();
                    } else if (this.adMogoLayout.getAdType() == 1 && adView == null) {
                        AdManager.setAdspaceId(this.ration.key);
                        adView = new AdView(this.activity);
                        Extra extra = this.adMogoLayout.extra;
                        int color = Color.rgb(extra.bgRed, extra.bgGreen, extra.bgBlue);
                        adView.setBackgroundColor(color);
                        engine.addBannerAdView(adView);
                        engine.startBannerAd();
                        this.flag = true;
                    } else if (this.adMogoLayout.getAdType() == 7) {
                        AdManager.setVideoAdspaceId(this.ration.key);
                    }
                } catch (IllegalArgumentException e) {
                    this.adMogoLayout.rollover();
                }
            }
        }
    }

    public boolean OnRecvSms(AdView adView2, String arg1) {
        return false;
    }

    public void onFailedToPlayVideoAd() {
        Log.d(AdMogoUtil.ADMOGO, "AdChina onFailedToPlayVideoAd");
    }

    public void onFailedToReceiveAd(AdView adView2) {
        AdMogoLayout adMogoLayout;
        Log.d(AdMogoUtil.ADMOGO, "AdChina onFailedToReceiveAd");
        AdEngine.getAdEngine().setAdListener((AdListener) null);
        if (!this.activity.isFinishing() && (adMogoLayout = this.adMogoLayoutReference.get()) != null) {
            adMogoLayout.rollover();
            adView2.destroyDrawingCache();
        }
    }

    public void onFailedToReceiveFullScreenAd(FullScreenAdView fullScreenAdView) {
        AdMogoLayout adMogoLayout;
        Log.d(AdMogoUtil.ADMOGO, "AdChina onFailedToReceiveFullScreenAd");
        AdEngine.getAdEngine().setAdListener((AdListener) null);
        if (!this.activity.isFinishing() && (adMogoLayout = this.adMogoLayoutReference.get()) != null) {
            adMogoLayout.rollover();
            fullScreenAdView.destroyDrawingCache();
        }
    }

    public void onFailedToReceiveVideoAd() {
        AdMogoLayout adMogoLayout;
        Log.d(AdMogoUtil.ADMOGO, "AdChina onFailedToReceiveVideoAd");
        AdEngine.getAdEngine().setAdListener((AdListener) null);
        if (!this.activity.isFinishing() && (adMogoLayout = this.adMogoLayoutReference.get()) != null) {
            adMogoLayout.rollover();
            adView.destroyDrawingCache();
            adView = null;
        }
    }

    public void onFailedToRefreshAd(AdView adView2) {
    }

    public void onPlayVideoAd() {
        Log.d(AdMogoUtil.ADMOGO, "AdChina PlayVideoAd success");
    }

    public void onReceiveAd(AdView adView2) {
        AdMogoLayout adMogoLayout;
        Log.d(AdMogoUtil.ADMOGO, "AdChina BannerAd success");
        AdEngine.getAdEngine().setAdListener((AdListener) null);
        if (!this.activity.isFinishing() && (adMogoLayout = this.adMogoLayoutReference.get()) != null) {
            adMogoLayout.adMogoManager.resetRollover();
            adMogoLayout.handler.post(new AdMogoLayout.ViewAdRunnable(adMogoLayout, adView2, 21));
            adMogoLayout.rotateThreadedDelayed();
        }
    }

    public void onReceiveFullScreenAd(FullScreenAdView fullScreenAdView) {
        Log.d(AdMogoUtil.ADMOGO, "AdChina FullScreenAd success");
        AdEngine.getAdEngine().setAdListener((AdListener) null);
        if (!this.activity.isFinishing()) {
            this.adMogoLayout = this.adMogoLayoutReference.get();
            if (this.adMogoLayout != null) {
                ImageButton mCloseButton = new ImageButton(this.activity);
                InputStream drawableStream = getClass().getResourceAsStream("/com/admogo/assets/close_btn.png");
                Drawable adFrameDrawable = new BitmapDrawable(drawableStream);
                mCloseButton.setImageDrawable(adFrameDrawable);
                mCloseButton.setBackgroundColor(0);
                mCloseButton.setOnTouchListener(new View.OnTouchListener() { // from class: com.admogo.adapters.AdChinaAdapter.1
                    @Override // android.view.View.OnTouchListener
                    public boolean onTouch(View arg0, MotionEvent arg1) {
                        AdChinaAdapter.this.adMogoLayout.removeAllViews();
                        return true;
                    }
                });
                this.adMogoLayout.addView(this.mFullScreenImageView);
                this.adMogoLayout.addView(mCloseButton);
                this.adMogoLayout.adMogoManager.resetRollover();
                this.adMogoLayout.CountImpAd();
            }
        }
    }

    public void onRefreshAd(AdView adView2) {
        AdMogoLayout adMogoLayout;
        if (this.flag) {
            Log.d(AdMogoUtil.ADMOGO, "AdChina onRefreshAd");
            this.flag = false;
            AdEngine.getAdEngine().setAdListener((AdListener) null);
            if (!this.activity.isFinishing() && (adMogoLayout = this.adMogoLayoutReference.get()) != null) {
                adMogoLayout.adMogoManager.resetRollover();
                adMogoLayout.handler.post(new AdMogoLayout.ViewAdRunnable(adMogoLayout, adView2, 21));
                adMogoLayout.rotateThreadedDelayed();
            }
        }
    }

    @Override // com.admogo.adapters.AdMogoAdapter
    public void finish() {
        Log.d(AdMogoUtil.ADMOGO, "AdChina Finished");
    }
}
