package com.admogo.adapters;

import android.app.Activity;
import android.graphics.Color;
import android.util.Log;
import com.admogo.AdMogoLayout;
import com.admogo.AdMogoTargeting;
import com.admogo.obj.Extra;
import com.admogo.obj.Ration;
import com.admogo.util.AdMogoUtil;
import com.madhouse.android.ads.AdManager;
import com.smaato.SOMA.AdDownloader;
import com.smaato.SOMA.AdListener;
import com.smaato.SOMA.ErrorCode;
import com.smaato.SOMA.SOMABanner;
import com.smaato.SOMA.SOMAReceivedBanner;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class SmaatoAdapter extends AdMogoAdapter implements AdListener {
    private int AdSpaceId;
    private int PublisherId;
    private Activity activity;
    private SOMABanner adView;
    private boolean flag;

    public SmaatoAdapter(AdMogoLayout adMogoLayout, Ration ration) throws JSONException {
        super(adMogoLayout, ration);
        this.PublisherId = 0;
        this.AdSpaceId = 0;
        JSONObject jsonObject = new JSONObject(this.ration.key);
        this.PublisherId = jsonObject.getInt("PublisherId");
        this.AdSpaceId = jsonObject.getInt("AdSpaceId");
    }

    @Override // com.admogo.adapters.AdMogoAdapter
    public void handle() {
        AdMogoLayout adMogoLayout = this.adMogoLayoutReference.get();
        if (adMogoLayout != null) {
            this.activity = adMogoLayout.activityReference.get();
            if (this.activity != null) {
                AdDownloader.MediaType mediaType = AdDownloader.MediaType.TXT;
                int random = (int) (Math.random() * 2.0d);
                switch (random) {
                    case 0:
                        mediaType = AdDownloader.MediaType.TXT;
                        break;
                    case 1:
                        mediaType = AdDownloader.MediaType.IMG;
                        break;
                    case 2:
                        mediaType = AdDownloader.MediaType.SKY;
                        break;
                }
                try {
                    this.adView = new SOMABanner(this.activity);
                    this.adView.setPublisherId(this.PublisherId);
                    this.adView.setAdSpaceId(this.AdSpaceId);
                    this.adView.setMediaType(mediaType);
                    this.adView.setAutoRefresh(false);
                    this.adView.setAnimationType(SOMABanner.AnimationType.RANDOM_ANIMATION);
                    Extra extra = adMogoLayout.extra;
                    int bgColor = Color.rgb(extra.bgRed, extra.bgGreen, extra.bgBlue);
                    int fgColor = Color.rgb(extra.fgRed, extra.fgGreen, extra.fgBlue);
                    this.adView.setFontColor(fgColor);
                    this.adView.setSOMABackgroundColor(bgColor);
                    AdMogoTargeting.Gender gender = AdMogoTargeting.getGender();
                    if (gender == AdMogoTargeting.Gender.FEMALE) {
                        this.adView.setGender(AdManager.USER_GENDER_FEMALE);
                    } else if (gender == AdMogoTargeting.Gender.MALE) {
                        this.adView.setGender(AdManager.USER_GENDER_MALE);
                    }
                    int age = AdMogoTargeting.getAge();
                    if (age > 0) {
                        this.adView.setAge(age);
                    }
                    this.adView.addAdListener(this);
                    this.flag = true;
                    this.adView.asyncLoadNewBanner();
                } catch (IllegalArgumentException e) {
                    adMogoLayout.rollover();
                }
            }
        }
    }

    public void onFailedToReceiveAd(AdDownloader arg0, ErrorCode arg1) {
        AdMogoLayout adMogoLayout;
        Log.d(AdMogoUtil.ADMOGO, "Smaato onFailedToReceiveAd");
        if (!this.activity.isFinishing() && (adMogoLayout = this.adMogoLayoutReference.get()) != null) {
            adMogoLayout.rollover();
        }
    }

    public void onReceiveAd(AdDownloader arg0, SOMAReceivedBanner arg1) {
        if (this.flag) {
            Log.d(AdMogoUtil.ADMOGO, "Smaato success");
            if (!this.activity.isFinishing()) {
                AdMogoLayout adMogoLayout = this.adMogoLayoutReference.get();
                if (adMogoLayout != null) {
                    adMogoLayout.adMogoManager.resetRollover();
                    adMogoLayout.handler.post(new AdMogoLayout.ViewAdRunnable(adMogoLayout, this.adView, 35));
                    adMogoLayout.rotateThreadedDelayed();
                } else {
                    return;
                }
            }
            this.flag = false;
        }
    }

    @Override // com.admogo.adapters.AdMogoAdapter
    public void finish() {
        Log.d(AdMogoUtil.ADMOGO, "Smaato finish");
    }
}
