package com.alan.siwameinv4;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.util.Log;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import com.admogo.AdMogoLayout;
import com.waps.AppConnect;
import com.waps.UpdatePointsNotifier;
import java.io.IOException;
import java.io.InputStream;
import utils.Constant;
/* loaded from: classes.dex */
public class PictureGrid extends Activity implements UpdatePointsNotifier {
    private static final String TAG = "PictureGrid";
    public static int wanpuPoints = 0;
    private Bitmap imageBitmap;
    private ImageView imageView;
    private ImageView leftImageView;
    private float leftRowX;
    private float leftRowY;
    private ImageView rightImageView;
    private float rightRowX;
    private float rightRowY;
    private Toast toast;
    private int imageIndex = 1;
    private int imageCount = 81;

    @Override // android.app.Activity
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(1);
        getWindow().setFlags(1024, 1024);
        getWindowAttrs();
        setContentView(R.layout.picture_grid);
        initializeViews();
        setImageView();
        AppConnect.getInstance(this);
        AppConnect.getInstance(this).getPoints(this);
    }

    @Override // android.app.Activity
    protected void onResume() {
        AppConnect.getInstance(this).getPoints(this);
        super.onResume();
    }

    private void getWindowAttrs() {
        WindowManager windowManager = getWindowManager();
        Display display = windowManager.getDefaultDisplay();
        Constant.androidHeight = display.getHeight();
        Constant.androidWidth = display.getWidth();
    }

    @Override // android.app.Activity
    protected void onDestroy() {
        AppConnect.getInstance(this).finalize();
        AppConnect.getInstance(this).spendPoints(2, this);
        super.onDestroy();
    }

    private void initializeViews() {
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, -2);
        LinearLayout linearLayout = new LinearLayout(this);
        linearLayout.setGravity(80);
        LinearLayout.LayoutParams adMogoLayoutParams = new LinearLayout.LayoutParams(-1, -1);
        addContentView(linearLayout, adMogoLayoutParams);
        AdMogoLayout adMogoLayoutCode = new AdMogoLayout(this, "c7ba71be0a344bb387f069cf4afe280c", 1);
        LinearLayout.LayoutParams adMogoLayoutParams2 = new LinearLayout.LayoutParams(-2, -2);
        linearLayout.addView(adMogoLayoutCode, adMogoLayoutParams2);
        this.leftImageView = new ImageView(this);
        this.leftImageView.setImageDrawable(getResources().getDrawable(R.raw.left));
        this.leftImageView.setPadding(0, (Constant.androidHeight - 81) / 2, Constant.androidWidth - 81, (Constant.androidHeight - 81) / 2);
        this.leftImageView.setOnTouchListener(new View.OnTouchListener() { // from class: com.alan.siwameinv4.PictureGrid.1
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View v, MotionEvent event) {
                PictureGrid.this.leftRowX = event.getRawX();
                PictureGrid.this.leftRowY = event.getRawY();
                return false;
            }
        });
        this.leftImageView.setVisibility(4);
        addContentView(this.leftImageView, layoutParams);
        this.rightImageView = new ImageView(this);
        this.rightImageView.setImageDrawable(getResources().getDrawable(R.raw.right));
        this.rightImageView.setPadding(Constant.androidWidth - 81, (Constant.androidHeight - 81) / 2, 0, (Constant.androidHeight - 81) / 2);
        this.rightImageView.setOnTouchListener(new View.OnTouchListener() { // from class: com.alan.siwameinv4.PictureGrid.2
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View v, MotionEvent event) {
                PictureGrid.this.rightRowX = event.getRawX();
                PictureGrid.this.rightRowY = event.getRawY();
                return false;
            }
        });
        addContentView(this.rightImageView, layoutParams);
        this.imageView = (ImageView) findViewById(R.id.picture_grid_imageview);
        this.imageView.setOnClickListener(new View.OnClickListener() { // from class: com.alan.siwameinv4.PictureGrid.3
            @Override // android.view.View.OnClickListener
            public void onClick(View v) {
                if (PictureGrid.this.leftRowX >= 0.0f && PictureGrid.this.leftRowX <= 81.0f && PictureGrid.this.leftRowY >= (Constant.androidHeight - 81) / 2 && PictureGrid.this.leftRowY <= ((Constant.androidHeight - 81) / 2) + 81) {
                    if (PictureGrid.wanpuPoints < 50) {
                        int nowPoints = PictureGrid.wanpuPoints == 0 ? 30 : PictureGrid.wanpuPoints;
                        new AlertDialog.Builder(PictureGrid.this).setMessage("对不起，您的积分已不足50(您目前的积分为" + nowPoints + ")，请下载应用并安装打开方可使用该功能.谢谢您一直以来的支持.").setPositiveButton("确定", new DialogInterface.OnClickListener() { // from class: com.alan.siwameinv4.PictureGrid.3.1
                            @Override // android.content.DialogInterface.OnClickListener
                            public void onClick(DialogInterface dialog, int which) {
                                AppConnect.getInstance(PictureGrid.this).showOffers(PictureGrid.this);
                            }
                        }).show();
                        return;
                    }
                    PictureGrid.this.imageIndex--;
                    if (PictureGrid.this.imageIndex <= 1) {
                        PictureGrid.this.imageIndex = 1;
                        PictureGrid.this.leftImageView.setVisibility(4);
                    }
                    PictureGrid.this.rightImageView.setVisibility(0);
                    PictureGrid.this.setImageView();
                }
                PictureGrid pictureGrid = PictureGrid.this;
                PictureGrid.this.leftRowY = -1.0f;
                pictureGrid.leftRowX = -1.0f;
                if (PictureGrid.this.rightRowX >= Constant.androidWidth - 81 && PictureGrid.this.rightRowX <= Constant.androidWidth && PictureGrid.this.rightRowY >= (Constant.androidHeight - 81) / 2 && PictureGrid.this.rightRowY <= ((Constant.androidHeight - 81) / 2) + 81) {
                    if (PictureGrid.wanpuPoints < 50) {
                        int nowPoints2 = PictureGrid.wanpuPoints == 0 ? 30 : PictureGrid.wanpuPoints;
                        new AlertDialog.Builder(PictureGrid.this).setMessage("对不起，您的积分已不足50(您目前的积分为" + nowPoints2 + ")，请下载应用并安装打开方可使用该功能.谢谢您一直以来的支持.").setPositiveButton("确定", new DialogInterface.OnClickListener() { // from class: com.alan.siwameinv4.PictureGrid.3.2
                            @Override // android.content.DialogInterface.OnClickListener
                            public void onClick(DialogInterface dialog, int which) {
                                AppConnect.getInstance(PictureGrid.this).showOffers(PictureGrid.this);
                            }
                        }).show();
                        return;
                    }
                    PictureGrid.this.imageIndex++;
                    if (PictureGrid.this.imageIndex >= PictureGrid.this.imageCount) {
                        Log.i(PictureGrid.TAG, "right");
                        PictureGrid.this.imageIndex = PictureGrid.this.imageCount;
                        PictureGrid.this.rightImageView.setVisibility(4);
                    }
                    PictureGrid.this.leftImageView.setVisibility(0);
                    PictureGrid.this.setImageView();
                }
                PictureGrid pictureGrid2 = PictureGrid.this;
                PictureGrid.this.rightRowY = -1.0f;
                pictureGrid2.rightRowX = -1.0f;
            }
        });
        this.imageView.setOnLongClickListener(new View.OnLongClickListener() { // from class: com.alan.siwameinv4.PictureGrid.4
            @Override // android.view.View.OnLongClickListener
            public boolean onLongClick(View v) {
                AlertDialog.Builder builder = new AlertDialog.Builder(PictureGrid.this);
                builder.setMessage("确定要设为壁纸吗?").setCancelable(false).setPositiveButton("确定", new DialogInterface.OnClickListener() { // from class: com.alan.siwameinv4.PictureGrid.4.1
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface dialog, int id) {
                        PictureGrid.this.imageView.buildDrawingCache();
                        Bitmap bitmap = PictureGrid.this.imageView.getDrawingCache();
                        Bitmap tempBitmap = Bitmap.createScaledBitmap(bitmap, Constant.androidWidth, Constant.androidHeight, true);
                        try {
                            PictureGrid.this.setWallpaper(tempBitmap);
                        } catch (IOException e) {
                            Log.e(PictureGrid.TAG, e.getMessage());
                        }
                        if (PictureGrid.this.toast != null) {
                            PictureGrid.this.toast.setText("成功.");
                        } else {
                            PictureGrid.this.toast = Toast.makeText(PictureGrid.this, "成功.", 1);
                        }
                        PictureGrid.this.toast.show();
                    }
                }).setNegativeButton("取消", new DialogInterface.OnClickListener() { // from class: com.alan.siwameinv4.PictureGrid.4.2
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface dialog, int id) {
                        dialog.cancel();
                    }
                });
                AlertDialog alert = builder.create();
                alert.show();
                return false;
            }
        });
        LinearLayout.LayoutParams layoutParams2 = new LinearLayout.LayoutParams(-1, -2);
        TextView tipTextView = new TextView(this);
        tipTextView.setGravity(1);
        tipTextView.setText("长按图片可设置为墙纸.");
        tipTextView.setPadding(0, Constant.androidHeight - 80, 0, 0);
        addContentView(tipTextView, layoutParams2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setImageView() {
        String tempIndex = "";
        if (this.imageIndex < 10) {
            tempIndex = "0" + this.imageIndex;
        } else if (this.imageIndex < 100) {
            tempIndex = new StringBuilder().append(this.imageIndex).toString();
        }
        Log.i(TAG, "setImageView:" + tempIndex);
        InputStream inputStream = null;
        try {
            inputStream = getAssets().open("picture" + tempIndex + ".jpg");
        } catch (IOException e) {
            e.printStackTrace();
        }
        if (this.imageBitmap != null) {
            this.imageBitmap.recycle();
        }
        this.imageBitmap = BitmapFactory.decodeStream(inputStream);
        try {
            inputStream.close();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        this.imageView.setImageBitmap(this.imageBitmap);
        this.imageView.setVisibility(0);
    }

    @Override // com.waps.UpdatePointsNotifier
    public void getUpdatePoints(String arg0, int arg1) {
        wanpuPoints = arg1;
        Log.i(TAG, "getUpdatePoints:" + wanpuPoints);
    }

    @Override // com.waps.UpdatePointsNotifier
    public void getUpdatePointsFailed(String arg0) {
        wanpuPoints = 0;
        Log.i(TAG, "getUpdatePointsFailed:" + wanpuPoints);
    }
}
