package com.google.ads;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.Intent;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.os.SystemClock;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.VideoView;
import defpackage.a;
import java.util.HashMap;
/* loaded from: classes.dex */
public class AdActivity extends Activity implements MediaPlayer.OnCompletionListener, MediaPlayer.OnPreparedListener, View.OnClickListener {
    public static final String BASE_URL_PARAM = "baseurl";
    public static final String HTML_PARAM = "html";
    public static final String INTENT_ACTION_PARAM = "i";
    public static final String ORIENTATION_PARAM = "o";
    public static final String TYPE_PARAM = "m";
    public static final String URL_PARAM = "u";
    private static final Object a = new Object();
    private static AdActivity b = null;
    private static d c = null;
    private static AdActivity d = null;
    private g e;
    private long f;
    private RelativeLayout g;
    private boolean h;
    private VideoView i;

    private void a(g gVar, boolean z, int i) {
        requestWindowFeature(1);
        getWindow().setFlags(1024, 1024);
        if (gVar.getParent() != null) {
            a("Interstitial created with an AdWebView that has a parent.");
        } else if (gVar.b() != null) {
            a("Interstitial created with an AdWebView that is already in use by another AdActivity.");
        } else {
            setRequestedOrientation(i);
            gVar.a(this);
            ImageButton imageButton = new ImageButton(getApplicationContext());
            imageButton.setImageResource(17301527);
            imageButton.setBackgroundDrawable(null);
            int applyDimension = (int) TypedValue.applyDimension(1, 1.0f, getResources().getDisplayMetrics());
            imageButton.setPadding(applyDimension, applyDimension, 0, 0);
            imageButton.setOnClickListener(this);
            this.g.addView(gVar, new ViewGroup.LayoutParams(-1, -1));
            this.g.addView(imageButton);
            setContentView(this.g);
            if (z) {
                a.a(gVar);
            }
        }
    }

    private void a(String str) {
        t.b(str);
        finish();
    }

    public static void launchAdActivity(d adManager, e adOpener) {
        synchronized (a) {
            if (c == null) {
                c = adManager;
            } else if (c != adManager) {
                t.b("Tried to launch a new AdActivity with a different AdManager.");
                return;
            }
            Activity c2 = adManager.c();
            if (c2 == null) {
                t.e("activity was null while launching an AdActivity.");
                return;
            }
            Intent intent = new Intent(c2.getApplicationContext(), AdActivity.class);
            intent.putExtra("com.google.ads.AdOpener", adOpener.a());
            try {
                t.a("Launching AdActivity.");
                c2.startActivity(intent);
            } catch (ActivityNotFoundException e) {
                t.a(e.getMessage(), e);
            }
        }
    }

    public VideoView getVideoView() {
        return this.i;
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        finish();
    }

    @Override // android.media.MediaPlayer.OnCompletionListener
    public void onCompletion(MediaPlayer mediaPlayer) {
        t.d("Video finished playing.");
        this.e.loadUrl("javascript:videoController.showReplayAndSplash_()");
    }

    @Override // android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        Intent intent;
        super.onCreate(savedInstanceState);
        if (d == null) {
            d = this;
        }
        this.g = null;
        this.h = false;
        this.i = null;
        Bundle bundleExtra = getIntent().getBundleExtra("com.google.ads.AdOpener");
        if (bundleExtra == null) {
            a("Could not get the Bundle used to create AdActivity.");
            return;
        }
        e eVar = new e(bundleExtra);
        String b2 = eVar.b();
        HashMap<String, String> c2 = eVar.c();
        if (this == d) {
            synchronized (a) {
                if (c != null) {
                    c.p();
                } else {
                    t.e("currentAdManager is null while trying to call onPresentScreen().");
                }
            }
        }
        if (b2.equals("intent")) {
            this.h = true;
            this.f = SystemClock.elapsedRealtime();
            if (c2 == null) {
                a("Could not get the paramMap in launchIntent()");
                return;
            }
            String str = c2.get(URL_PARAM);
            if (str == null) {
                a("Could not get the URL parameter in launchIntent().");
                return;
            }
            String str2 = c2.get(INTENT_ACTION_PARAM);
            String str3 = c2.get(TYPE_PARAM);
            Uri parse = Uri.parse(str);
            if (str2 == null) {
                intent = new Intent("android.intent.action.VIEW", parse);
            } else {
                Intent intent2 = new Intent(str2);
                if (str3 != null) {
                    intent2.setDataAndType(parse, str3);
                    intent = intent2;
                } else {
                    intent2.setData(parse);
                    intent = intent2;
                }
            }
            intent.addCategory("android.intent.category.BROWSABLE");
            synchronized (a) {
                if (b == null) {
                    b = this;
                    if (c != null) {
                        c.q();
                    } else {
                        t.e("currentAdManager is null while trying to call onLeaveApplication().");
                    }
                }
            }
            try {
                t.a("Launching an intent from AdActivity.");
                startActivity(intent);
                return;
            } catch (ActivityNotFoundException e) {
                t.a(e.getMessage(), e);
                finish();
                return;
            }
        }
        this.g = new RelativeLayout(getApplicationContext());
        if (!b2.equals("webapp")) {
            if (!b2.equals("interstitial")) {
                a("Unknown AdOpener, <action: " + b2 + ">");
                return;
            }
            synchronized (a) {
                if (c != null) {
                    this.e = c.g();
                    a(this.e, true, c.k());
                } else {
                    a("currentAdManager is null while trying to show an interstitial.");
                }
            }
            return;
        }
        this.e = new g(getApplicationContext(), null);
        u.b(this.e);
        synchronized (a) {
            if (c != null) {
                h hVar = new h(c, a.EnumC0000a.AD_TYPE, false);
                hVar.b();
                this.e.setWebViewClient(hVar);
                String str4 = c2.get(URL_PARAM);
                String str5 = c2.get(BASE_URL_PARAM);
                String str6 = c2.get(HTML_PARAM);
                String str7 = c2.get(ORIENTATION_PARAM);
                if (str4 != null) {
                    this.e.loadUrl(str4);
                } else if (str6 != null) {
                    this.e.loadDataWithBaseURL(str5, str6, "text/html", "utf-8", null);
                } else {
                    a("Could not get the URL or HTML parameter to show a web app.");
                }
                int i = 4;
                if (str7 != null) {
                    if (str7.equals("p")) {
                        i = 1;
                    } else if (str7.equals("l")) {
                        i = 0;
                    }
                }
                a(this.e, false, i);
            } else {
                a("currentAdManager is null while trying to show a webapp.");
            }
        }
    }

    @Override // android.app.Activity
    public void onDestroy() {
        if (this.g != null) {
            this.g.removeAllViews();
        }
        if (this.e != null) {
            a.b(this.e);
            this.e.a(null);
        }
        if (isFinishing()) {
            if (this.i != null) {
                this.i.stopPlayback();
                this.i = null;
            }
            synchronized (a) {
                if (this == d) {
                    if (c != null) {
                        c.o();
                        c = null;
                    } else {
                        t.e("currentAdManager is null while trying to destroy AdActivity.");
                    }
                    d = null;
                }
                if (this == b) {
                    b = null;
                }
            }
        }
        t.a("AdActivity is closing.");
        super.onDestroy();
    }

    @Override // android.media.MediaPlayer.OnPreparedListener
    public void onPrepared(MediaPlayer mediaPlayer) {
        t.d("Video is ready to play.");
        this.e.loadUrl("javascript:videoController.hideSplashAndPlayVideo_()");
    }

    @Override // android.app.Activity, android.view.Window.Callback
    public void onWindowFocusChanged(boolean hasFocus) {
        super.onWindowFocusChanged(hasFocus);
        if (this.h && hasFocus && SystemClock.elapsedRealtime() - this.f > 250) {
            t.d("Launcher AdActivity got focus and is closing.");
            finish();
        }
    }

    public void showVideo(VideoView videoView) {
        this.i = videoView;
        if (this.e == null) {
            a("Couldn't get adWebView to show the video.");
            return;
        }
        this.e.setBackgroundColor(0);
        videoView.setOnCompletionListener(this);
        videoView.setOnPreparedListener(this);
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-1, -1);
        LinearLayout linearLayout = new LinearLayout(getApplicationContext());
        linearLayout.setGravity(17);
        linearLayout.addView(videoView, layoutParams);
        this.g.addView(linearLayout, 0, layoutParams);
    }
}
