package com.vpon.adon.android;

import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import com.google.ads.AdActivity;
import com.vpon.adon.android.entity.Ad;
import com.vpon.adon.android.utils.LocationUtil;
import com.vpon.adon.android.utils.VPLog;
/* loaded from: classes.dex */
public final class AdDisplay extends WebView implements LocationListener {
    public static final String vponUrl = "http://www.vpon.com/v/index.jsp";
    private Ad ad;
    private Context context;

    /* JADX INFO: Access modifiers changed from: package-private */
    public AdDisplay(Context context, AdView adView) {
        super(context, null, 0);
        getSettings().setJavaScriptEnabled(true);
        getSettings().setJavaScriptCanOpenWindowsAutomatically(true);
        getSettings().setSupportZoom(true);
        setWebChromeClient(new WebChromeClient());
        this.context = context;
        LocationUtil.instance(getContext()).addLocationListener(this);
    }

    public void displayNextAd(Ad ad, AdView adView) {
        VPLog.i("AdDisplay", "displayNextAd");
        VPLog.i("AdDisplay", "html: " + ad.getAdHtml());
        this.ad = ad;
        AdDisplayWebViewClient adDisplayWebClient = new AdDisplayWebViewClient(adView, ad, this.context);
        setWebViewClient(adDisplayWebClient);
        String html = ad.getAdHtml();
        if (ad.getAdRedirectPack().getLocation() != null) {
            html = html.replace("<div id=\"distance\"></div>", getDistanceHtml(ad.getAdRedirectPack().getLocation()));
        }
        loadDataWithBaseURL(null, html, "text/html", "utf-8", null);
    }

    private String getDistanceHtml(Location location) {
        double Lat1r = 0.017453292519943295d * this.ad.getMapLat();
        double Long1r = 0.017453292519943295d * this.ad.getMapLon();
        double Lat2r = 0.017453292519943295d * location.getLatitude();
        double Long2r = 0.017453292519943295d * location.getLongitude();
        double d = Math.acos((Math.sin(Lat1r) * Math.sin(Lat2r)) + (Math.cos(Lat1r) * Math.cos(Lat2r) * Math.cos(Long2r - Long1r))) * 6371.0d;
        if (Double.isNaN(d)) {
            return "<div id=\"distance\"></div>";
        }
        int distanceMeter = (int) (1000.0d * d);
        if (distanceMeter < 1000) {
            String distanceHtml = "<div id=\"distance\">" + String.valueOf(distanceMeter) + "<br />" + AdActivity.TYPE_PARAM + "</div>";
            return distanceHtml;
        }
        double distanceKiloMeter = distanceMeter / 1000;
        if (distanceKiloMeter >= 1000.0d) {
            return "<div id=\"distance\"></div>";
        }
        String distanceString = String.valueOf(distanceKiloMeter);
        if (distanceString.length() > 3) {
            distanceString = distanceString.substring(0, 3);
        }
        if (distanceString.substring(distanceString.length() - 1, distanceString.length()).equalsIgnoreCase(".")) {
            distanceString = distanceString.substring(0, distanceString.length() - 1);
        }
        String distanceHtml2 = "<div id=\"distance\">" + distanceString + "<br />km</div>";
        return distanceHtml2;
    }

    @Override // android.location.LocationListener
    public void onLocationChanged(Location location) {
        if (location != null && this.ad != null && !Double.isNaN(this.ad.getMapLat()) && !Double.isNaN(this.ad.getMapLon())) {
            if (this.ad.getMapLat() != 0.0d || this.ad.getMapLon() != 0.0d) {
                String html = this.ad.getAdHtml();
                loadDataWithBaseURL(null, html.replace("<div id=\"distance\"></div>", getDistanceHtml(location)), "text/html", "utf-8", null);
            }
        }
    }

    @Override // android.location.LocationListener
    public void onProviderDisabled(String provider) {
    }

    @Override // android.location.LocationListener
    public void onProviderEnabled(String provider) {
    }

    @Override // android.location.LocationListener
    public void onStatusChanged(String provider, int status, Bundle extras) {
    }
}
