package com.vpon.adon.android;

import android.content.Context;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import com.vpon.adon.android.entity.Ad;
import com.vpon.adon.android.utils.VPLog;
import com.vpon.adon.android.webClientHandler.AndroidMarketHandler;
import com.vpon.adon.android.webClientHandler.MailHandler;
import com.vpon.adon.android.webClientHandler.RedirectHandler;
import com.vpon.adon.android.webClientHandler.SmsHandler;
import com.vpon.adon.android.webClientHandler.TelHandler;
import com.vpon.adon.android.webClientHandler.WebAndMapHandler;
import com.vpon.adon.android.webClientHandler.WebClientHandler;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public final class AdDisplayWebViewClient extends WebViewClient {
    private Ad ad;
    private AdView adView;
    private Context context;
    private boolean firstCallBack = true;

    public AdDisplayWebViewClient(AdView adView, Ad ad, Context context) {
        VPLog.i("AdDisplayWebViewClient", "AdDisplayWebViewClient");
        this.adView = adView;
        this.ad = ad;
        this.context = context;
    }

    @Override // android.webkit.WebViewClient
    public void onPageFinished(WebView view, String url) {
        VPLog.i("AdDisplayWebViewClient", "onPageFinished");
        if (this.firstCallBack) {
            this.adView.onRecivedAd();
            this.firstCallBack = false;
        }
        super.onPageFinished(view, url);
    }

    @Override // android.webkit.WebViewClient
    public boolean shouldOverrideUrlLoading(WebView view, String url) {
        if (this.ad.getClickStatus()) {
            WebClientHandler handler = new TelHandler(new SmsHandler(new MailHandler(new AndroidMarketHandler(new WebAndMapHandler(new RedirectHandler(null))))));
            return handler.doNext(this.context, this.ad, url);
        }
        this.ad.setClicked();
        this.adView.performAdManagerAddClickResp();
        WebClientHandler handler2 = new TelHandler(new SmsHandler(new MailHandler(new AndroidMarketHandler(new WebAndMapHandler(new RedirectHandler(null))))));
        return handler2.doNext(this.context, this.ad, url);
    }
}
