package com.vpon.adon.android;

import android.graphics.Bitmap;
import android.os.Message;
import android.view.View;
import android.webkit.ConsoleMessage;
import android.webkit.GeolocationPermissions;
import android.webkit.JsPromptResult;
import android.webkit.JsResult;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import android.webkit.WebStorage;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.RelativeLayout;
import com.vpon.adon.android.WebInApp;
import com.vpon.adon.android.utils.VPLog;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public final class WebInAppWebChromeClient extends WebChromeClient {
    private static /* synthetic */ int[] $SWITCH_TABLE$com$vpon$adon$android$WebInApp$WebState;
    private Button button;
    private View customView;
    private WebChromeClient.CustomViewCallback customViewCallback;
    private RelativeLayout mainView;
    private WebInApp.WebState webState;
    private WebView webView;

    static /* synthetic */ int[] $SWITCH_TABLE$com$vpon$adon$android$WebInApp$WebState() {
        int[] iArr = $SWITCH_TABLE$com$vpon$adon$android$WebInApp$WebState;
        if (iArr == null) {
            iArr = new int[WebInApp.WebState.valuesCustom().length];
            try {
                iArr[WebInApp.WebState.CUSTOMVIEW.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                iArr[WebInApp.WebState.WEBVIEW.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            $SWITCH_TABLE$com$vpon$adon$android$WebInApp$WebState = iArr;
        }
        return iArr;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public WebInAppWebChromeClient(View customView, RelativeLayout mainView, WebView webView, Button button) {
        this.customView = customView;
        this.mainView = mainView;
        this.webView = webView;
        this.button = button;
    }

    @Override // android.webkit.WebChromeClient
    public Bitmap getDefaultVideoPoster() {
        VPLog.i("AdOnWebChromeClient", "getDefaultVideoPoster");
        return null;
    }

    @Override // android.webkit.WebChromeClient
    public View getVideoLoadingProgressView() {
        VPLog.i("AdOnWebChromeClient", "getVideoLoadingProgressView");
        return null;
    }

    @Override // android.webkit.WebChromeClient
    public void getVisitedHistory(ValueCallback<String[]> callback) {
        VPLog.i("AdOnWebChromeClient", "getVisitedHistory");
    }

    @Override // android.webkit.WebChromeClient
    public void onCloseWindow(WebView window) {
        VPLog.i("AdOnWebChromeClient", "onCloseWindow");
    }

    @Override // android.webkit.WebChromeClient
    public void onConsoleMessage(String message, int lineNumber, String sourceID) {
        VPLog.i("AdOnWebChromeClient", "onConsoleMessage");
    }

    @Override // android.webkit.WebChromeClient
    public boolean onConsoleMessage(ConsoleMessage consoleMessage) {
        VPLog.i("AdOnWebChromeClient", "onConsoleMessage");
        return true;
    }

    @Override // android.webkit.WebChromeClient
    public boolean onCreateWindow(WebView view, boolean dialog, boolean userGesture, Message resultMsg) {
        VPLog.i("AdOnWebChromeClient", "onCreateWindow");
        return false;
    }

    @Override // android.webkit.WebChromeClient
    public void onExceededDatabaseQuota(String url, String databaseIdentifier, long currentQuota, long estimatedSize, long totalUsedQuota, WebStorage.QuotaUpdater quotaUpdater) {
        quotaUpdater.updateQuota(currentQuota);
        VPLog.i("AdOnWebChromeClient", "onExceededDatabaseQuota");
    }

    @Override // android.webkit.WebChromeClient
    public void onGeolocationPermissionsHidePrompt() {
    }

    @Override // android.webkit.WebChromeClient
    public void onGeolocationPermissionsShowPrompt(String origin, GeolocationPermissions.Callback callback) {
        VPLog.i("AdOnWebChromeClient", "onGeolocationPermissionShowPrompt");
    }

    @Override // android.webkit.WebChromeClient
    public void onHideCustomView() {
        VPLog.i("AdOnWebChromeClient", "onHideCustomView");
        this.customViewCallback.onCustomViewHidden();
    }

    @Override // android.webkit.WebChromeClient
    public boolean onJsAlert(WebView view, String url, String message, JsResult result) {
        VPLog.i("AdOnWebChromeClient", "onJsAlert");
        return false;
    }

    @Override // android.webkit.WebChromeClient
    public boolean onJsBeforeUnload(WebView view, String url, String message, JsResult result) {
        VPLog.i("AdOnWebChromeClient", "onJsBeforeUnlod");
        return false;
    }

    @Override // android.webkit.WebChromeClient
    public boolean onJsConfirm(WebView view, String url, String message, JsResult result) {
        VPLog.i("AdOnWebChromeClient", "onJsConfirm");
        return false;
    }

    @Override // android.webkit.WebChromeClient
    public boolean onJsPrompt(WebView view, String url, String message, String defaultValue, JsPromptResult result) {
        VPLog.i("AdOnWebChromeClient", "onJsPrompt");
        return false;
    }

    @Override // android.webkit.WebChromeClient
    public boolean onJsTimeout() {
        VPLog.i("AdOnWebChromeClient", "onJsTimeOut");
        return true;
    }

    @Override // android.webkit.WebChromeClient
    public void onProgressChanged(WebView view, int newProgress) {
        VPLog.i("AdOnWebChromeClient", "onProgressChanged");
    }

    @Override // android.webkit.WebChromeClient
    public void onReachedMaxAppCacheSize(long spaceNeeded, long totalUsedQuota, WebStorage.QuotaUpdater quotaUpdater) {
        quotaUpdater.updateQuota(0L);
        VPLog.i("AdOnWebChromeClient", "onReachedMaxAppCacheSize");
    }

    @Override // android.webkit.WebChromeClient
    public void onReceivedIcon(WebView view, Bitmap icon) {
    }

    @Override // android.webkit.WebChromeClient
    public void onReceivedTitle(WebView view, String title) {
    }

    @Override // android.webkit.WebChromeClient
    public void onReceivedTouchIconUrl(WebView view, String url, boolean precomposed) {
        VPLog.i("AdOnWebChromeClient", "onRecieveTouchIconUrl");
    }

    @Override // android.webkit.WebChromeClient
    public void onRequestFocus(WebView view) {
        VPLog.i("AdOnWebChromeClient", "onRequestFocus");
    }

    @Override // android.webkit.WebChromeClient
    public void onShowCustomView(View view, WebChromeClient.CustomViewCallback callback) {
        VPLog.i("AdOnWebChromeClient", "onShowCustomView");
        this.customView = view;
        this.mainView.addView(this.customView, new RelativeLayout.LayoutParams(-1, -1));
        this.customViewCallback = callback;
        this.webState = WebInApp.WebState.CUSTOMVIEW;
        this.webView.setVisibility(4);
        this.button.setVisibility(4);
    }

    public void onCustomViewHidden() {
        if (this.customViewCallback != null) {
            try {
                this.customViewCallback.onCustomViewHidden();
            } catch (NullPointerException e) {
            }
            this.customViewCallback = null;
        }
    }

    public boolean isCustomViewState() {
        switch ($SWITCH_TABLE$com$vpon$adon$android$WebInApp$WebState()[this.webState.ordinal()]) {
            case 1:
                return true;
            default:
                return false;
        }
    }

    public void setWebState(WebInApp.WebState webState) {
        this.webState = webState;
    }
}
