package com.vpon.adon.android.utils;

import com.vpon.adon.android.entity.RespClickList;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.security.InvalidKeyException;
import java.security.KeyFactory;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.spec.InvalidKeySpecException;
import java.security.spec.PKCS8EncodedKeySpec;
import java.security.spec.X509EncodedKeySpec;
import java.util.LinkedList;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SealedObject;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
/* loaded from: classes.dex */
public class CryptUtils {
    public static String algorithm = "RSA/NONE/NoPadding";
    public static String provider = "BC";

    public static SealedObject clickListEnc(String key, RespClickList respClickList) {
        try {
            byte[] keybyte = key.getBytes("UTF-8");
            byte[] cipherKey = new byte[24];
            System.arraycopy(keybyte, 0, cipherKey, 0, 24);
            SecretKey secretKey = new SecretKeySpec(cipherKey, "DESede");
            Cipher cipher = Cipher.getInstance("DESede");
            cipher.init(1, secretKey);
            SealedObject sealedObject = new SealedObject(respClickList, cipher);
            return sealedObject;
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        } catch (IOException e2) {
            e2.printStackTrace();
            return null;
        } catch (InvalidKeyException e3) {
            e3.printStackTrace();
            return null;
        } catch (NoSuchAlgorithmException e4) {
            e4.printStackTrace();
            return null;
        } catch (IllegalBlockSizeException e5) {
            e5.printStackTrace();
            return null;
        } catch (NoSuchPaddingException e6) {
            e6.printStackTrace();
            return null;
        } catch (Exception e7) {
            e7.printStackTrace();
            return null;
        }
    }

    public static RespClickList clickListDnc(String key, SealedObject sealedObject) {
        try {
            byte[] keybyte = key.getBytes("UTF-8");
            byte[] cipherKey = new byte[24];
            System.arraycopy(keybyte, 0, cipherKey, 0, 24);
            SecretKey secretKey = new SecretKeySpec(cipherKey, "DESede");
            Cipher cipher = Cipher.getInstance("DESede");
            cipher.init(2, secretKey);
            RespClickList respClickList = (RespClickList) sealedObject.getObject(cipher);
            return respClickList;
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            RespClickList respClickList2 = new RespClickList(new LinkedList());
            return respClickList2;
        } catch (IOException e2) {
            e2.printStackTrace();
            RespClickList respClickList3 = new RespClickList(new LinkedList());
            return respClickList3;
        } catch (ClassNotFoundException e3) {
            e3.printStackTrace();
            RespClickList respClickList4 = new RespClickList(new LinkedList());
            return respClickList4;
        } catch (InvalidKeyException e4) {
            e4.printStackTrace();
            RespClickList respClickList5 = new RespClickList(new LinkedList());
            return respClickList5;
        } catch (NoSuchAlgorithmException e5) {
            e5.printStackTrace();
            RespClickList respClickList6 = new RespClickList(new LinkedList());
            return respClickList6;
        } catch (BadPaddingException e6) {
            e6.printStackTrace();
            RespClickList respClickList7 = new RespClickList(new LinkedList());
            return respClickList7;
        } catch (IllegalBlockSizeException e7) {
            e7.printStackTrace();
            RespClickList respClickList8 = new RespClickList(new LinkedList());
            return respClickList8;
        } catch (NoSuchPaddingException e8) {
            e8.printStackTrace();
            RespClickList respClickList9 = new RespClickList(new LinkedList());
            return respClickList9;
        } catch (Exception e9) {
            e9.printStackTrace();
            RespClickList respClickList10 = new RespClickList(new LinkedList());
            return respClickList10;
        }
    }

    public static String encTripleDES(String key, String plainText) throws NoSuchAlgorithmException, IOException, InvalidKeySpecException, NoSuchPaddingException, InvalidKeyException, IllegalBlockSizeException, BadPaddingException {
        byte[] keybyte = key.getBytes("UTF-8");
        byte[] cipherKey = new byte[24];
        System.arraycopy(keybyte, 0, cipherKey, 0, 24);
        SecretKey deskey = new SecretKeySpec(cipherKey, "DESede");
        Cipher c1 = Cipher.getInstance("DESede");
        c1.init(1, deskey);
        byte[] encData = c1.doFinal(plainText.getBytes());
        String strBaseEncData = Base64.encodeToString(encData, false);
        return strBaseEncData;
    }

    public static String decTripleDES(String key, String strBaseEncData) throws NoSuchAlgorithmException, IOException, InvalidKeySpecException, NoSuchPaddingException, InvalidKeyException, IllegalBlockSizeException, BadPaddingException {
        byte[] keybyte = key.getBytes("UTF-8");
        byte[] cipherKey = new byte[24];
        System.arraycopy(keybyte, 0, cipherKey, 0, 24);
        SecretKey deskey = new SecretKeySpec(cipherKey, "DESede");
        Cipher c2 = Cipher.getInstance("DESede");
        c2.init(2, deskey);
        byte[] oriData = c2.doFinal(Base64.decode(strBaseEncData));
        String strDecData = new String(oriData, "UTF-8");
        return strDecData;
    }

    public static PublicKey getRsaPubKey(byte[] encodedPublicKey) throws NoSuchAlgorithmException, IOException, InvalidKeySpecException {
        KeyFactory keyFactory = KeyFactory.getInstance("RSA");
        X509EncodedKeySpec pubKeySpec = new X509EncodedKeySpec(encodedPublicKey);
        return keyFactory.generatePublic(pubKeySpec);
    }

    public static PrivateKey getRsaPriKey(byte[] encodedPrivateKey) throws NoSuchAlgorithmException, IOException, InvalidKeySpecException {
        KeyFactory keyFactory = KeyFactory.getInstance("RSA");
        PKCS8EncodedKeySpec priPKCS8 = new PKCS8EncodedKeySpec(encodedPrivateKey);
        return keyFactory.generatePrivate(priPKCS8);
    }

    public static Cipher getRsaEncryptCipher(PublicKey pubKey) throws NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, NoSuchProviderException {
        Cipher cipher = Cipher.getInstance(algorithm, provider);
        cipher.init(1, pubKey);
        return cipher;
    }

    public static Cipher getRsaDecryptCipher(PrivateKey priKey) throws NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, NoSuchProviderException {
        Cipher cipher = Cipher.getInstance(algorithm, provider);
        cipher.init(2, priKey);
        return cipher;
    }

    public static byte[] encryptData(byte[] data, Cipher cipher) throws IllegalBlockSizeException, BadPaddingException, IOException {
        int thisBlockSize;
        ByteArrayOutputStream out = new ByteArrayOutputStream(53);
        for (int i = 0; i < data.length; i += 245) {
            if (data.length - i <= 245) {
                thisBlockSize = data.length - i;
            } else {
                thisBlockSize = 245;
            }
            out.write(cipher.doFinal(data, i, thisBlockSize));
        }
        return out.toByteArray();
    }

    public static byte[] decryptData(byte[] encrypedData, Cipher cipher) throws IllegalBlockSizeException, BadPaddingException, IOException {
        ByteArrayOutputStream out = new ByteArrayOutputStream(256);
        for (int j = 0; encrypedData.length - (j * 256) > 0; j++) {
            out.write(cipher.doFinal(encrypedData, j * 256, 256));
        }
        return out.toByteArray();
    }
}
