package com.vpon.adon.android.utils;

import android.content.Context;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.util.DisplayMetrics;
import android.view.WindowManager;
import com.vpon.adon.android.entity.ScreenSize;
/* loaded from: classes.dex */
public class PhoneStateUtils {
    public static String getIMEI(Context context) {
        String imei;
        try {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            imei = telephonyManager.getDeviceId();
        } catch (Exception e) {
            e.printStackTrace();
            imei = "";
        }
        if (StringUtils.isBlank(imei)) {
            String imei2 = getWifiAddress(context);
            return imei2;
        }
        return imei;
    }

    public static String getDeviceName(Context context) {
        try {
            if (!StringUtils.isBlank("")) {
                return "";
            }
            String deviceName = Build.MODEL;
            return deviceName;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static String getAndroidId(Context context) {
        String androidId = Settings.Secure.getString(context.getContentResolver(), "android_id");
        return androidId;
    }

    public static String getWifiAddress(Context context) {
        try {
            WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
            String macAddress = wifiManager.getConnectionInfo().getMacAddress();
            return macAddress;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static String getSdkOsVersion() {
        try {
            String deviceOsVersion = Build.VERSION.SDK;
            return deviceOsVersion;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static ScreenSize getScreenSize(Context context) {
        ScreenSize screenSize = new ScreenSize();
        try {
            DisplayMetrics dm = new DisplayMetrics();
            WindowManager windowManager = (WindowManager) context.getSystemService("window");
            windowManager.getDefaultDisplay().getMetrics(dm);
            screenSize.setScreenWidth(dm.widthPixels);
            screenSize.setScreenHeight(dm.heightPixels);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return screenSize;
    }
}
